cdac.medinfo.sdk.hl7282.baselibs.messagedictionary

## Class SegmentItem

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messagedictionary.SegmentItem

- All Implemented Interfaces:
    ISegmentItem

      public final class SegmentItem
      extends java.lang.Object
      implements ISegmentItem

  SegmentItem class represents structure of a Segment. It provides getters/setters to specify structure for a segment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMap` | `getGroupItemMessageMap()` Retrieves list of Group items
    `ISegmentKey` | `getName()` Retrieves Name of segment
    `EnumSegmentCardinality` | `getSegmentCardinality()` Retrieves Segment Cardinality
    `boolean` | `isGroup()` Defines whether it is a segment or a group
    `void` | `setGroupItems(IMap objGroupItemMessageMap)` Sets list of Group items
    `void` | `setIsGroup(boolean isGroup)` Specifies item as group or segment
    `void` | `setName(ISegmentKey enumName)` Sets Name of segment
    `void` | `setSegmentCardinality(EnumSegmentCardinality enumSegmentCardinality)` Sets Segment Cardinality

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentItem

          public SegmentItem()

  - ### Method Detail

    - #### getName

          public ISegmentKey getName()

      Retrieves Name of segment
      Specified by:
        `getName` in interface `ISegmentItem`
      Returns:
        ISegmentKey Specified enumeration showing segment name

    - #### setName

          public void setName(ISegmentKey enumName)

      Sets Name of segment
      Specified by:
        `setName` in interface `ISegmentItem`
      Parameters:
        `enumName` - enumeration showing segment name

    - #### getSegmentCardinality

          public EnumSegmentCardinality getSegmentCardinality()

      Retrieves Segment Cardinality
      Specified by:
        `getSegmentCardinality` in interface `ISegmentItem`
      Returns:
        EnumSegmentCardinality - enumeration showing SegmentCardinality

    - #### setSegmentCardinality

          public void setSegmentCardinality(EnumSegmentCardinality enumSegmentCardinality)

      Sets Segment Cardinality
      Specified by:
        `setSegmentCardinality` in interface `ISegmentItem`
      Parameters:
        `enumSegmentCardinality` - enumeration showing SegmentCardinality

    - #### getGroupItemMessageMap

          public IMap getGroupItemMessageMap()

      Retrieves list of Group items
      Specified by:
        `getGroupItemMessageMap` in interface `ISegmentItem`
      Returns:
        IMap - return object of Imap

    - #### setGroupItems

          public void setGroupItems(IMap objGroupItemMessageMap)

      Sets list of Group items
      Specified by:
        `setGroupItems` in interface `ISegmentItem`
      Parameters:
        `objGroupItemMessageMap` - collection of group items

    - #### isGroup

          public boolean isGroup()

      Defines whether it is a segment or a group
      Specified by:
        `isGroup` in interface `ISegmentItem`
      Returns:
        boolean shows status as success or failure

    - #### setIsGroup

          public void setIsGroup(boolean isGroup)

      Specifies item as group or segment
      Specified by:
        `setIsGroup` in interface `ISegmentItem`
      Parameters:
        `isGroup` - shows status as success or failure